What are the libraries that my OS need to have to run Puppet?

0 votes
I want to run Puppet on my system and I just wanted to make sure that my OS has all those libraries. What all libraries should be present for Puppet to run?
Mar 8, 2019 by Ruth
74 views

1 answer to this question.

0 votes

Your OS should have these following libraries:

  • base64
  • cgi
  • digest/md5
  • etc
  • fileutils
  • ipaddr
  • openssl
  • strscan
  • syslog
  • uri
  • webrick
  • webrick/https
  • xmlrpc
answered Mar 8, 2019 by Veena

Related Questions

+15 votes
2 answers

Git management technique when there are multiple customers and need multiple customization?

Consider this - In 'extended' Git-Flow, (Git-Multi-Flow, ...READ MORE

answered Mar 26, 2018 in DevOps & Agile by DragonLord999
• 8,450 points
807 views
+2 votes
1 answer
0 votes
1 answer

Mention what are the main configuration parameters that user need to specify to run MapReduce Job?

Hi, The user of the MapReduce framework needs ...READ MORE

answered Jun 10, 2019 in Big Data Hadoop by Gitika
• 49,300 points
554 views
+3 votes
5 answers

What are the skills I need to have to be a Blockchain Developer?

Follow these steps to become an expert ...READ MORE

answered Feb 19, 2019 in Career Counselling by Nishant
891 views
0 votes
1 answer

What are the extra files we need to run when we run a Hive action in Oozie?

Hi, Below are the extra files that need ...READ MORE

answered Jun 25, 2019 in Big Data Hadoop by Gitika
• 49,300 points
121 views
0 votes
1 answer

What are the properties that have to be mentioned in . properties in Oozie?

Hey, These are the listed properties that need ...READ MORE

answered Jun 25, 2019 in Big Data Hadoop by Gitika
• 49,300 points
117 views
0 votes
1 answer